Package com.databricks.jdbc.core

## Interface IDatabricksStatement

All Known Implementing Classes:
  `DatabricksPreparedStatement`, `DatabricksStatement`

    public interface IDatabricksStatement

Interface for Databricks specific statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `allowInputStreamForVolumeOperation​(boolean allowedInputStream)`
`void` `close​(boolean removeFromSession)`
`org.apache.http.entity.InputStreamEntity` `getInputStreamForUCVolume()`
`int` `getMaxRows()`
`String` `getSessionId()` Returns the underlying session-Id for the statement.
`Statement` `getStatement()`
`String` `getStatementId()`
`void` `handleResultSetClose​(IDatabricksResultSet resultSet)`
`boolean` `isAllowedInputStreamForVolumeOperation()`
`void` `setInputStreamForUCVolume​(org.apache.http.entity.InputStreamEntity inputStream)`
`void` `setStatementId​(String statementId)`

### Method Detail

#### getSessionId

    String getSessionId()

Returns the underlying session-Id for the statement.

#### close

    void close​(boolean removeFromSession)
        throws SQLException

Throws:
  `SQLException`

#### handleResultSetClose

    void handleResultSetClose​(IDatabricksResultSet resultSet)
                       throws SQLException

Throws:
  `SQLException`

#### getMaxRows

    int getMaxRows()
            throws SQLException

Throws:
  `SQLException`

#### setStatementId

    void setStatementId​(String statementId)

#### getStatementId

    String getStatementId()

#### getStatement

    Statement getStatement()

#### allowInputStreamForVolumeOperation

    void allowInputStreamForVolumeOperation​(boolean allowedInputStream)
                                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### isAllowedInputStreamForVolumeOperation

    boolean isAllowedInputStreamForVolumeOperation()
                                            throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### setInputStreamForUCVolume

    void setInputStreamForUCVolume​(org.apache.http.entity.InputStreamEntity inputStream)
                            throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getInputStreamForUCVolume

    org.apache.http.entity.InputStreamEntity getInputStreamForUCVolume()
                                                                throws DatabricksSQLException

Throws:
  `DatabricksSQLException`